Page MenuHomePhabricator

Write blog post highlighting recent Phabricator improvements
Closed, ResolvedPublic

Description

To highlight both the paid prioritization work along with general awesome updates that are wins for the Wikimedia community.

Status:

  • We all (Quim, Mukunda, and Greg) think it's a great idea.
  • We all think we should wait a couple weeks since we'll get more features completed.
  • We all don't have any real amount of time to do the prose writeup this week or probably next. (IOW: not until Q1)
  • Mukunda will try to keep the list of 'things to call out' up to date
  • Let's re-group in a couple weeks

Things to call out (from Mukunda):

  1. File upload without drag and drop (this was addressed in the past few weeks for remarkup forms, I believe)
  2. T634: pholio/new/ requires drag and drop https://phabricator.wikimedia.org/T634 (also addressed upstream this week)
  3. Prose-diffs https://phabricator.wikimedia.org/T137727 https://secure.phabricator.com/D16098
  4. T78078: Videos cannot be viewed without downloading https://phabricator.wikimedia.org/T78078
  5. Global default settings (was this prioritized by us? It addresses multiple issues we have encountered in the past)
  6. T76732: Exact matches should always win when suggesting/auto-completing https://phabricator.wikimedia.org/T76732 (just got fixed, I believe)

UPDATE: It's published!

See Blog Post: Sponsored Phabricator Improvements

Related Objects

Event Timeline

greg created this task.Jun 13 2016, 5:24 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 13 2016, 5:24 PM
greg renamed this task from Write blog post highlighting Phabricator improvements to Write blog post highlighting recent Phabricator improvements.Jun 13 2016, 5:24 PM
greg moved this task from Next to Backlog on the Release-Engineering-Team board.Jun 13 2016, 5:33 PM
hashar updated the task description. (Show Details)Jun 14 2016, 8:55 AM
hashar updated the task description. (Show Details)

Here's my draft of a post about the sponsored improvements that have landed in recent weeks:
{P3436}

@mmodell: Thanks for working on this. Very appreciated!

Some quick'n'dirty blunt feedback:

  • s/Phacility/Phacility (the company developing Phabricator)/ ?
  • s/reaping/seeing/ ? (might be clearer for non-native speaker audience). Also... "laundry list"? (I just put stuff into my washing machine.) :)
  • s/Wikimedia's production Phabricator instance/phabricator.wikimedia.org/ ? (Not sure people need to know production vs test instance. )
  • Link "RFC" to https://www.mediawiki.org/wiki/Requests_for_comment ? Dunno
  • "on a VM Instance" - maybe drop that technical detail? "test instance running on WMF Labs" might be sufficient?
  • s/Unfinished/Work in Progress/ ? Sounds better. :)

Again, thanks!

greg added a comment.Jul 14 2016, 5:35 PM

I asked @mmodell last night if I could make an etherpad to do some light copy/editing. I go distracted (it was almost 11pm) and didn't, but now.... https://etherpad.wikimedia.org/p/phabricatorphacilityworkblogpost :) (and of course I forgot the c/e things I saw last night, will read/review later)

greg moved this task from Backlog to Next on the User-greg board.
greg added a comment.Jul 18 2016, 10:56 PM

I basically just edited the etherpad to included @Aklapper's suggestions.

There's also now a section on milestone and calendar changes and the new task graph (in the etherpad), if anyone wants to read/review. I just re-wrote it to be more simple/straight-forward, but left the original. Up to Mukunda.

@greg: I'm sure your rewrite is an improvement... I was having trouble expressing that part clearly, it started sounding like an incident report timeline which wasn't my intention for the blog post ;)

greg added a comment.Jul 19 2016, 6:09 PM

@greg: I'm sure your rewrite is an improvement... I was having trouble expressing that part clearly, it started sounding like an incident report timeline which wasn't my intention for the blog post ;)

:) Good habit anyways.

I took the liberty to remove the incident report version and left mine and added a nice "Here's to yet more fruitful collaborations with upstream Phabricator!" to close it out. Other than that I think all we need to decide is timing.

@mmodell / @Aklapper: Were we going to do this on the main Wikimedia Blog or just in Phab? If on the main blog, we'll need a couple weeks (I assume) for turn around with Communications copy editing this :)

See: https://meta.wikimedia.org/wiki/Wikimedia_Blog/Guidelines and https://meta.wikimedia.org/wiki/Wikimedia_Blog/Drafts

I wasn't planning to go for anything as high-profile as the wikimedia blog, especially if it's gonna take weeks... I was thinking Phabricator blog post + email to wikitech-l

Dzahn added a subscriber: Dzahn.Jul 19 2016, 7:11 PM

Hey, do Phabricator blog posts have RSS feeds? We could add that to planet.wikimedia.org. Gets you a bit more views at almost no cost.

Why not put it on the Wikimedia blog? It's a pretty cool thing that should be shared more widely IMO :)

greg added a comment.Jul 19 2016, 8:10 PM

Hey, do Phabricator blog posts have RSS feeds? We could add that to planet.wikimedia.org. Gets you a bit more views at almost no cost.

Only reference upstream I found was https://secure.phabricator.com/T2272 which is closed and has an associated commit, but, my RSS feed reader (NewsBlur) can't find it (the atom feed).

https://phabricator.wikimedia.org/phame/blog/feed/1/

It doesn't seem to be referenced in the html header so I guess you just have to know that it exists?

@mmodell / @Aklapper: Were we going to do this on the main Wikimedia Blog or just in Phab?

IMO I'd be happy to see this on the WM Blog. If things take a bit longer, post it $somewhere_else first (like on Phab)...

@Aklapper: That sounds good to me, let's put it on phab first and then get the ball rolling on a WM Blog post with same/similar content.

Are we happy with the current version? The formatting looks good in phabricator. I don't anticipate deploying new upstream work this week so we won't have any further updates to the fixed tasks to announce for a while.

greg added a comment.Jul 21 2016, 5:49 PM

Are we happy with the current version? The formatting looks good in phabricator. I don't anticipate deploying new upstream work this week so we won't have any further updates to the fixed tasks to announce for a while.

+1, I'm good. We can publish on the RelEng phame blog whenever and then get in touch with Communications about the Wikimedia Blog post (I can do that reaching out). Thanks!

Etherpad LGTM. (I'd only remove one of the two "helpful"s about the task dependency graphs.)
Again thanks for working on this. <3!

mmodell closed this task as Resolved.Jul 27 2016, 10:45 AM
mmodell claimed this task.
mmodell updated the task description. (Show Details)Jul 27 2016, 5:31 PM